Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
openssl fails to compile on Mac OS 10.9 (again?)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures
View previous topic :: View next topic  
Author Message
jcdx
n00b
n00b


Joined: 16 Dec 2013
Posts: 4

PostPosted: Fri Dec 27, 2013 11:24 pm    Post subject: openssl fails to compile on Mac OS 10.9 (again?) Reply with quote

System: MacBook Pro, Intel Core i5, Mac OS 10.9, Xcode 5.0.2

Hi,

when I try to emerge openssl I get the following error.
The error occurred, when I was trying to
Code:

$ emerge -e system


I suppose a similar error (“make depend” using clang fails) was reported here https://bugs.gentoo.org/show_bug.cgi?id=417795 and here https://bugs.gentoo.org/show_bug.cgi?id=418137.
However, I am not sure if this is the same error but it seems so.

The log file is given here. https://www.dropbox.com/s/w8anr1dtqzr6dlm/openssl_build.log

I used the following compiler:
Code:

$ gcc -v
Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr --with-gxx-include-dir=/usr/include/c++/4.2.1
Apple LLVM version 5.0 (clang-500.2.79) (based on LLVM 3.3svn)
Target: x86_64-apple-darwin13.0.0
Thread model: posix


Code:

$ emerge --info '=dev-libs/openssl-1.0.1e::gentoo_prefix'
Portage 2.2.7-prefix (prefix/darwin/macos/10.9/x64, gcc-4.2.1, unavailable, 13.0.0 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Darwin-13.0.0-x86_64-i386-64bit
Timestamp of tree: Tue, 24 Dec 2013 23:06:36 +0000
app-shells/bash:      4.2_p39-r1
dev-lang/python:      2.7.5-r4, 3.2.5-r3
dev-util/pkgconfig:   0.28
sys-devel/autoconf:   2.69
sys-devel/automake:   1.14
sys-devel/gcc-config: 1.8-r00.1
sys-devel/libtool:    2.4.2
sys-devel/make:       4.0-r1
Repositories: gentoo_prefix
ACCEPT_KEYWORDS="~x64-macos"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-apple-darwin13"
CFLAGS="-march=nocona"
CHOST="x86_64-apple-darwin13"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/gentoo-release /etc/terminfo"
CXXFLAGS=""
DISTDIR="/gentoo/usr/portage/distfiles"
FCFLAGS=""
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles force-prefix merge-sync news nostrip parallel-fetch preserve-libs protect-owned sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-dead_strip_dylibs"
PKGDIR="/gentoo/usr/portage/packages"
PORTAGE_CONFIGROOT="/gentoo/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/gentoo/var/tmp"
PORTDIR="/gentoo/usr/portage"
PORTDIR_OVERLAY=""
USE="aqua coreaudio cracklib cxx ipv6 mmx mmxext modules ncurses objc objc++ prefix readline sse sse2 ssl x64-macos zlib" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="Darwin" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse" KERNEL="Darwin" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON


Code:

$ emerge -pqv '=dev-libs/openssl-1.0.1e::gentoo_prefix'

 * IMPORTANT: 2 config files in '/gentoo/etc/portage' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.
[ebuild  N    ] dev-libs/openssl-1.0.1e  USE="sse2 zlib -bindist -gmp -kerberos -rfc3779 -static-libs {-test} -vanilla"
[ebuild  N    ] app-misc/ca-certificates-20130906

 * IMPORTANT: 6 news items need reading for repository 'gentoo_prefix'.
 * Use eselect news to read news items.


Any idea why this error pops up again? What can I do to get openssl installed?

Thank you!

jcdx
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum